Subject: RE: [Mip6] How to store DNS records about HAs, (draft-ietf-mip6-bootstrapping-split-02.txt)?

From: "COMBES Jean-Michel RD-MAPS-ISS" <[email-masked]>
Date: Tue, 2 May 2006 18:59:30 +0200

> -----Original Message-----
> From: Alexandru Petrescu [mailto:[email-masked]] 
> Sent: Tuesday, May 02, 2006 6:48 PM
> To: COMBES Jean-Michel RD-MAPS-ISS
> Cc: Gerardo Giaretta; Chowdhury, Kuntal; [email-masked]
> Subject: Re: [Mip6] How to store DNS records about HAs, 
> (draft-ietf-mip6-bootstrapping-split-02.txt)?
> 
> COMBES Jean-Michel RD-MAPS-ISS wrote:
> >> Alex PS: I don't think there's a clearcut  difference between "HA 
> >> discovery" and "HA assignment".  DHAAD is mainly discovery 
> but its  
> >> effect is that MN gets its HA address, thus it is assigned the HA 
> >> address.
> >> 
> > 
> > Alex,
> > 
> > When you book a room in a hotel, who does decide finally on 
> the number 
> > of your room? This is the hotel, regarding what type of 
> room you want 
> > and the ones that are available. This is assignment :)
> 
> YEs, and this assignment does not guarantee forwarding of all 
> my mail arriving at my house in my home country to the room 
> assigned by that hotel.  (For that, I'll have to tell La 
> Poste (USMail) my real house address and the room number at 
> that hotel).
> 
> I suppose I'm correct to understand that HA assignment will 
> not offer session continuity from the previously assigned HA/HoA.

In my point of view, this is another issue (which may have solutions
like HAHA or CxT maybe) which out of scope the bootstrapping issue (ie.
we can assume the MN has no active session when it bootstrapps because
in fact it is not yet a MN and so has not previous HA :)

> Alex

Best regards.

JMC.

France Telecom - R&D Division - MAPS/NSS   
Jean-Michel COMBES, Internet/Intranet Security
E-Mail: [email-masked]
Phone: +33 (0)1 45 29 45 94
Fax: +33 (0)1 45 29 65 19
Mobile: +33 (0)6 07 29 30 16 

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 02 May 2006 19:21:38 +0200

COMBES Jean-Michel RD-MAPS-ISS wrote:
> 
> 
> 
>> -----Original Message----- From: Alexandru Petrescu
>> [mailto:[email-masked]] Sent: Tuesday, May 02,
>> 2006 6:48 PM To: COMBES Jean-Michel RD-MAPS-ISS Cc: Gerardo
>> Giaretta; Chowdhury, Kuntal; [email-masked] Subject: Re: [Mip6] How
>> to store DNS records about HAs, 
>>>> Alex PS: I don't think there's a clearcut  difference between
>>>> "HA discovery" and "HA assignment".  DHAAD is mainly discovery
>>>> 
>> but its
>>>> effect is that MN gets its HA address, thus it is assigned the
>>>> HA address.
>>>> 
>>> Alex,
>>> 
>> YEs, and this assignment does not guarantee forwarding of all my
>> mail arriving at my house in my home country to the room assigned
>> by that hotel.  (For that, I'll have to tell La Poste (USMail) my
>> real house address and the room number at that hotel).
>> 
>> I suppose I'm correct to understand that HA assignment will not
>> offer session continuity from the previously assigned HA/HoA.
> 
> like HAHA or CxT maybe)

I think Context Transfer as is (RFC 4067) wouldn't work here.  It is
experimental.  The other issue is that CxT works between two routers
nearby, and there are no route updates between them.  Bootstrapping a HA
  (from different subnet) to MN necessarily implies route or path updates
between the two HAs, such that the same HoA is now reachable from CN, at
the new HA.

HAHA (global HAHA) has been actively discussed recently in the NEMO WG.
  It is not yet clear (to me at least) how it will evolve.  Its current
status is that it is a personal proposal.

shim6 is yet another possibility to have two HAs in different subnets
serve same HoA.  It is not yet specified as such, but one could imagine
how to use it.

netlmm in the home network would work too.  But if we consider netlmm in
the home network we could as well consider it in the foreign network.
In which case MIP6 is not involved.

But the need for bootstrapping itself seems to be immediate, not later.

> we can assume the MN has no active session when it bootstrapps
> because in fact it is not yet a MN and so has not previous HA :)

Yes, I agree with you.

That is the role of pre-configured information.  For bootstrapping with
session continuity to work one would need a pre-configured information
that ensures that whenever the MN bootstraps it obtains same HoA and a
HA from same subnet.

I think I can not assume every time I reboot my phone I perform a
bootstrap assigning me a different HoA.  Or maybe I want to do such
bootstrap only when the phone is brand new.

Alex